-- PP_Maritime_Gameplay
-- Author: JNR
--------------------------------------------------------------

-- Types
--------------------------------------------------------------
INSERT OR IGNORE INTO Types
		(Type,							Kind)
VALUES	('POLICY_JNR_NATURAL_HARBORS',	'KIND_POLICY'),
		('POLICY_JNR_THALASSOCRACY',	'KIND_POLICY'),		
		('POLICY_JNR_TIMBER_RAFTING',	'KIND_POLICY'),
		('POLICY_JNR_CANAL_ZONE',		'KIND_POLICY'),
		('POLICY_JNR_SCUBA_DIVING',		'KIND_POLICY'),
		('POLICY_JNR_FLOATING_CITIES',	'KIND_POLICY'),
		('POLICY_JNR_VIRTUAL_BEACHES',	'KIND_POLICY'),
		('POLICY_JNR_OCEAN_CLEANUP',	'KIND_POLICY');
--------------------------------------------------------------

-- Policies
--------------------------------------------------------------
INSERT OR IGNORE INTO Policies
		(PolicyType,					GovernmentSlotType,	PrereqCivic,						Name,									Description)
VALUES	('POLICY_JNR_NATURAL_HARBORS',	'SLOT_ECONOMIC',	'CIVIC_FOREIGN_TRADE',				'LOC_POLICY_JNR_NATURAL_HARBORS_NAME',	'LOC_POLICY_JNR_NATURAL_HARBORS_DESCRIPTION'),
		('POLICY_JNR_THALASSOCRACY',	'SLOT_DIPLOMATIC',	'CIVIC_NAVAL_TRADITION',			'LOC_POLICY_JNR_THALASSOCRACY_NAME',	'LOC_POLICY_JNR_THALASSOCRACY_DESCRIPTION'),
		('POLICY_JNR_TIMBER_RAFTING',	'SLOT_ECONOMIC',	'CIVIC_NAVAL_TRADITION',			'LOC_POLICY_JNR_TIMBER_RAFTING_NAME',	'LOC_POLICY_JNR_TIMBER_RAFTING_DESCRIPTION'),
		('POLICY_JNR_CANAL_ZONE',		'SLOT_DIPLOMATIC',	'CIVIC_COLONIALISM',				'LOC_POLICY_JNR_CANAL_ZONE_NAME',		'LOC_POLICY_JNR_CANAL_ZONE_DESCRIPTION'),
		('POLICY_JNR_SCUBA_DIVING',		'SLOT_ECONOMIC',	'CIVIC_PROFESSIONAL_SPORTS',		'LOC_POLICY_JNR_SCUBA_DIVING_NAME',		'LOC_POLICY_JNR_SCUBA_DIVING_DESCRIPTION'),
		('POLICY_JNR_FLOATING_CITIES',	'SLOT_WILDCARD',	'CIVIC_GLOBAL_WARMING_MITIGATION',	'LOC_POLICY_JNR_FLOATING_CITIES_NAME',	'LOC_POLICY_JNR_FLOATING_CITIES_DESCRIPTION'),
		('POLICY_JNR_VIRTUAL_BEACHES',	'SLOT_WILDCARD',	'CIVIC_GLOBAL_WARMING_MITIGATION',	'LOC_POLICY_JNR_VIRTUAL_BEACHES_NAME',	'LOC_POLICY_JNR_VIRTUAL_BEACHES_DESCRIPTION'),
		('POLICY_JNR_OCEAN_CLEANUP',	'SLOT_WILDCARD',	'CIVIC_GLOBAL_WARMING_MITIGATION',	'LOC_POLICY_JNR_OCEAN_CLEANUP_NAME',	'LOC_POLICY_JNR_OCEAN_CLEANUP_DESCRIPTION');
		
UPDATE Policies SET Name='LOC_POLICY_JNR_DOUBLE_BANKING_NAME', PrereqCivic='CIVIC_CRAFTSMANSHIP'	WHERE PolicyType='POLICY_MARITIME_INDUSTRIES';
UPDATE Policies SET Name='LOC_POLICY_JNR_ROADSTEADS_NAME'											WHERE PolicyType='POLICY_NAVAL_INFRASTRUCTURE';
--------------------------------------------------------------

-- ObsoletePolicies
--------------------------------------------------------------
INSERT OR IGNORE INTO ObsoletePolicies
		(PolicyType,					ObsoletePolicy)
SELECT	'POLICY_JNR_NATURAL_HARBORS',	PolicyType
FROM	Policies
WHERE	PolicyType='POLICY_JNR_ADMIRALITY_COURT';
--------------------------------------------------------------

-- Policy_GovernmentExclusives_XP2
--------------------------------------------------------------
INSERT OR IGNORE INTO Policy_GovernmentExclusives_XP2
		(PolicyType,					GovernmentType)
VALUES	('POLICY_JNR_FLOATING_CITIES',	'GOVERNMENT_CORPORATE_LIBERTARIANISM'),
		('POLICY_JNR_VIRTUAL_BEACHES',	'GOVERNMENT_DIGITAL_DEMOCRACY'),
		('POLICY_JNR_OCEAN_CLEANUP',	'GOVERNMENT_SYNTHETIC_TECHNOCRACY');
--------------------------------------------------------------

-- Requirements
--------------------------------------------------------------
INSERT OR IGNORE INTO Requirements
		(RequirementId,									RequirementType)
VALUES	('REQUIRES_PLOT_ADJACENT_TO_CITY_CENTER',		'REQUIREMENT_PLOT_ADJACENT_DISTRICT_TYPE_MATCHES'),
		('REQUIRES_PLOT_HAS_NO_DISTRICT_JNR',			'REQUIREMENT_PLOT_HAS_ANY_DISTRICT'),
		
		('REQUIRES_JNR_HAS_25_PERCENT_COASTAL_CITIES',	'REQUIREMENT_PLAYER_COASTAL_CITIES'),
		('REQUIRES_JNR_HAS_50_PERCENT_COASTAL_CITIES',	'REQUIREMENT_PLAYER_COASTAL_CITIES'),
		('REQUIRES_JNR_HAS_75_PERCENT_COASTAL_CITIES',	'REQUIREMENT_PLAYER_COASTAL_CITIES'),
		('REQUIRES_JNR_HAS_100_PERCENT_COASTAL_CITIES',	'REQUIREMENT_PLAYER_COASTAL_CITIES'),

		('REQUIRES_CITY_HAS_HARBOR_JNR',				'REQUIREMENT_CITY_HAS_DISTRICT'),
		('REQUIRES_CITY_HAS_CANAL_JNR',					'REQUIREMENT_CITY_HAS_DISTRICT'),
		('REQUIRES_PLOT_HAS_SEASTEAD_JNR',				'REQUIREMENT_PLOT_IMPROVEMENT_TYPE_MATCHES'),
		('REQUIRES_CITY_HAS_FLOOD_BARRIER_JNR',			'REQUIREMENT_CITY_HAS_BUILDING');

UPDATE Requirements SET Inverse=1 WHERE RequirementId='REQUIRES_PLOT_HAS_NO_DISTRICT_JNR';

INSERT OR IGNORE INTO Requirements
		(RequirementId,									RequirementType,								Inverse)
SELECT	'REQUIRES_PLOT_HAS_NO_FISHERY_JNR',				'REQUIREMENT_PLOT_IMPROVEMENT_TYPE_MATCHES',	1
FROM	Improvements
WHERE	ImprovementType='IMPROVEMENT_FISHERY' AND Workable=0;

INSERT OR IGNORE INTO Requirements
		(RequirementId,															RequirementType)
SELECT	'REQUIRES_PLOT_ADJACENT_TO_' || SUBSTR(ImprovementType,13) || '_JNR',	'REQUIREMENT_PLOT_ADJACENT_IMPROVEMENT_TYPE_MATCHES'
FROM	Improvements
WHERE	Domain='DOMAIN_SEA';
--------------------------------------------------------------

-- RequirementArguments
--------------------------------------------------------------
INSERT OR IGNORE INTO RequirementArguments
		(RequirementId,									Name,				Value)
VALUES	('REQUIRES_PLOT_ADJACENT_TO_CITY_CENTER',		'DistrictType',		'DISTRICT_CITY_CENTER'),

		('REQUIRES_JNR_HAS_25_PERCENT_COASTAL_CITIES',	'MinimumCities',	1),
		('REQUIRES_JNR_HAS_50_PERCENT_COASTAL_CITIES',	'MinimumCities',	1),
		('REQUIRES_JNR_HAS_75_PERCENT_COASTAL_CITIES',	'MinimumCities',	1),
		('REQUIRES_JNR_HAS_100_PERCENT_COASTAL_CITIES',	'MinimumCities',	1),
		('REQUIRES_JNR_HAS_25_PERCENT_COASTAL_CITIES',	'Percentage',		25),
		('REQUIRES_JNR_HAS_50_PERCENT_COASTAL_CITIES',	'Percentage',		50),
		('REQUIRES_JNR_HAS_75_PERCENT_COASTAL_CITIES',	'Percentage',		75),
		('REQUIRES_JNR_HAS_100_PERCENT_COASTAL_CITIES',	'Percentage',		100),
		('REQUIRES_JNR_HAS_25_PERCENT_COASTAL_CITIES',	'BelowPercentage',	0),
		('REQUIRES_JNR_HAS_50_PERCENT_COASTAL_CITIES',	'BelowPercentage',	0),
		('REQUIRES_JNR_HAS_75_PERCENT_COASTAL_CITIES',	'BelowPercentage',	0),
		('REQUIRES_JNR_HAS_100_PERCENT_COASTAL_CITIES',	'BelowPercentage',	0),

		('REQUIRES_CITY_HAS_HARBOR_JNR',				'DistrictType',		'DISTRICT_HARBOR'),
		('REQUIRES_CITY_HAS_CANAL_JNR',					'DistrictType',		'DISTRICT_CANAL'),
		('REQUIRES_PLOT_HAS_SEASTEAD_JNR',				'ImprovementType',	'IMPROVEMENT_SEASTEAD'),
		('REQUIRES_CITY_HAS_FLOOD_BARRIER_JNR',			'BuildingType',		'BUILDING_FLOOD_BARRIER');

INSERT OR IGNORE INTO RequirementArguments
		(RequirementId,									Name,				Value)
SELECT	'REQUIRES_PLOT_HAS_NO_FISHERY_JNR',				'ImprovementType',	ImprovementType
FROM	Improvements
WHERE	ImprovementType='IMPROVEMENT_FISHERY' AND Workable=0;

INSERT OR IGNORE INTO RequirementArguments
		(RequirementId,															Name,				Value)
SELECT	'REQUIRES_PLOT_ADJACENT_TO_' || SUBSTR(ImprovementType,13) || '_JNR',	'ImprovementType',	ImprovementType
FROM	Improvements
WHERE	Domain='DOMAIN_SEA';
--------------------------------------------------------------

-- RequirementSets
--------------------------------------------------------------
INSERT OR IGNORE INTO RequirementSets
		(RequirementSetId,										RequirementSetType)
VALUES	('PLOT_IS_WORKABLE_COAST_ADJACENT_TO_CITY_CENTER_JNR',	'REQUIREMENTSET_TEST_ALL'),
		
		('PLAYER_HAS_25_PERCENT_COASTAL_CITIES_JNR',			'REQUIREMENTSET_TEST_ALL'),
		('PLAYER_HAS_50_PERCENT_COASTAL_CITIES_JNR',			'REQUIREMENTSET_TEST_ALL'),
		('PLAYER_HAS_75_PERCENT_COASTAL_CITIES_JNR',			'REQUIREMENTSET_TEST_ALL'),
		('PLAYER_HAS_100_PERCENT_COASTAL_CITIES_JNR',			'REQUIREMENTSET_TEST_ALL'),
	
		('PLOT_HAS_LUMBER_MILL_IN_HARBOR_CITY_JNR',				'REQUIREMENTSET_TEST_ALL'),

		('DISTRICT_IS_ADJACENT_HARBOR_JNR',						'REQUIREMENTSET_TEST_ALL'),
		('DISTRICT_IS_ADJACENT_COMMERCIAL_HUB_JNR',				'REQUIREMENTSET_TEST_ALL'),
		('CITY_HAS_CANAL_JNR',									'REQUIREMENTSET_TEST_ALL'),

		('CITY_HAS_FLOOD_BARRIER_JNR',							'REQUIREMENTSET_TEST_ALL'),
		('DISTRICT_IS_CITY_CENTER_FLOOD_BARRIER_JNR',			'REQUIREMENTSET_TEST_ALL'),

		('DISTRICT_IS_HARBOR_ADJACENT_SEASTEAD_JNR',			'REQUIREMENTSET_TEST_ALL');

INSERT OR IGNORE INTO RequirementSets
		(RequirementSetId,													RequirementSetType)
SELECT	'SEASTEAD_ADJACENT_TO_' || SUBSTR(ImprovementType,13) || '_JNR',	'REQUIREMENTSET_TEST_ALL'
FROM	Improvements
WHERE	Domain='DOMAIN_SEA';
--------------------------------------------------------------

-- RequirementSetRequirements
--------------------------------------------------------------
INSERT OR IGNORE INTO RequirementSetRequirements
		(RequirementSetId,										RequirementId)
VALUES	('PLOT_IS_WORKABLE_COAST_ADJACENT_TO_CITY_CENTER_JNR',	'REQUIRES_PLOT_ADJACENT_TO_CITY_CENTER'),
		('PLOT_IS_WORKABLE_COAST_ADJACENT_TO_CITY_CENTER_JNR',	'REQUIRES_PLOT_HAS_COAST'),
		('PLOT_IS_WORKABLE_COAST_ADJACENT_TO_CITY_CENTER_JNR',	'REQUIRES_PLOT_HAS_NO_DISTRICT_JNR'),

		('PLAYER_HAS_25_PERCENT_COASTAL_CITIES_JNR',			'REQUIRES_JNR_HAS_25_PERCENT_COASTAL_CITIES'),
		('PLAYER_HAS_50_PERCENT_COASTAL_CITIES_JNR',			'REQUIRES_JNR_HAS_50_PERCENT_COASTAL_CITIES'),
		('PLAYER_HAS_75_PERCENT_COASTAL_CITIES_JNR',			'REQUIRES_JNR_HAS_75_PERCENT_COASTAL_CITIES'),
		('PLAYER_HAS_100_PERCENT_COASTAL_CITIES_JNR',			'REQUIRES_JNR_HAS_100_PERCENT_COASTAL_CITIES'),

		('PLOT_HAS_LUMBER_MILL_IN_HARBOR_CITY_JNR',				'REQUIRES_PLOT_HAS_LUMBER_MILL'),
		('PLOT_HAS_LUMBER_MILL_IN_HARBOR_CITY_JNR',				'REQUIRES_CITY_HAS_HARBOR_JNR'),

		('DISTRICT_IS_ADJACENT_HARBOR_JNR',						'REQUIRES_DISTRICT_IS_HARBOR'),
		('DISTRICT_IS_ADJACENT_HARBOR_JNR',						'ADJACENT_TO_OWNER'),
		('DISTRICT_IS_ADJACENT_COMMERCIAL_HUB_JNR',				'REQUIRES_DISTRICT_IS_COMMERCIAL_HUB'),
		('DISTRICT_IS_ADJACENT_COMMERCIAL_HUB_JNR',				'ADJACENT_TO_OWNER'),
		('CITY_HAS_CANAL_JNR',									'REQUIRES_CITY_HAS_CANAL_JNR'),

		('CITY_HAS_FLOOD_BARRIER_JNR',							'REQUIRES_CITY_HAS_FLOOD_BARRIER_JNR'),
		('DISTRICT_IS_CITY_CENTER_FLOOD_BARRIER_JNR',			'REQUIRES_DISTRICT_IS_CITY_CENTER'),
		('DISTRICT_IS_CITY_CENTER_FLOOD_BARRIER_JNR',			'REQUIRES_CITY_HAS_FLOOD_BARRIER_JNR'),

		('DISTRICT_IS_HARBOR_ADJACENT_SEASTEAD_JNR',			'REQUIRES_DISTRICT_IS_HARBOR'),
		('DISTRICT_IS_HARBOR_ADJACENT_SEASTEAD_JNR',			'REQUIRES_PLOT_ADJACENT_TO_SEASTEAD_JNR');

INSERT OR IGNORE INTO RequirementSetRequirements
		(RequirementSetId,										RequirementId)
SELECT	'PLOT_IS_WORKABLE_COAST_ADJACENT_TO_CITY_CENTER_JNR',	'REQUIRES_PLOT_HAS_NO_FISHERY_JNR'
FROM	Improvements
WHERE	ImprovementType='IMPROVEMENT_FISHERY' AND Workable=0;

INSERT OR IGNORE INTO RequirementSetRequirements
		(RequirementSetId,													RequirementId)
SELECT	'SEASTEAD_ADJACENT_TO_' || SUBSTR(ImprovementType,13) || '_JNR',	'REQUIRES_PLOT_HAS_SEASTEAD_JNR'
FROM	Improvements
WHERE	Domain='DOMAIN_SEA';

INSERT OR IGNORE INTO RequirementSetRequirements
		(RequirementSetId,													RequirementId)
SELECT	'SEASTEAD_ADJACENT_TO_' || SUBSTR(ImprovementType,13) || '_JNR',	'REQUIRES_PLOT_ADJACENT_TO_' || SUBSTR(ImprovementType,13) || '_JNR'
FROM	Improvements
WHERE	Domain='DOMAIN_SEA';
--------------------------------------------------------------

-- Types
--------------------------------------------------------------
INSERT OR IGNORE INTO Types
		(Type,														Kind)
VALUES	('MODIFIER_JNR_PLAYER_DISTRICTS_ATTACH_MODIFIER',			'KIND_MODIFIER'),
		('MODIFIER_JNR_PLAYER_DISTRICTS_ADJUST_BASE_YIELD_CHANGE',	'KIND_MODIFIER');
--------------------------------------------------------------

-- DynamicModifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO DynamicModifiers
		(ModifierType,												CollectionType,					EffectType)
VALUES	('MODIFIER_JNR_PLAYER_DISTRICTS_ATTACH_MODIFIER',			'COLLECTION_PLAYER_DISTRICTS',	'EFFECT_ATTACH_MODIFIER'),
		('MODIFIER_JNR_PLAYER_DISTRICTS_ADJUST_BASE_YIELD_CHANGE',	'COLLECTION_PLAYER_DISTRICTS',	'EFFECT_ADJUST_DISTRICT_BASE_YIELD_CHANGE');
--------------------------------------------------------------

-- Modifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO Modifiers
		(ModifierId,								ModifierType,												SubjectRequirementSetId)
VALUES	('JNR_NATURALHARBORS_FOOD',					'MODIFIER_PLAYER_ADJUST_PLOT_YIELD',						'PLOT_IS_WORKABLE_COAST_ADJACENT_TO_CITY_CENTER_JNR'),
		('JNR_NATURALHARBORS_PRODUCTION',			'MODIFIER_PLAYER_ADJUST_PLOT_YIELD',						'PLOT_IS_WORKABLE_COAST_ADJACENT_TO_CITY_CENTER_JNR'),

		('JNR_THALASSOCRACY_INFLUENCEPOINTS_25',	'MODIFIER_PLAYER_ADJUST_INFLUENCE_POINTS_PER_TURN',			'PLAYER_HAS_25_PERCENT_COASTAL_CITIES_JNR'),
		('JNR_THALASSOCRACY_INFLUENCEPOINTS_50',	'MODIFIER_PLAYER_ADJUST_INFLUENCE_POINTS_PER_TURN',			'PLAYER_HAS_50_PERCENT_COASTAL_CITIES_JNR'),
		('JNR_THALASSOCRACY_INFLUENCEPOINTS_75',	'MODIFIER_PLAYER_ADJUST_INFLUENCE_POINTS_PER_TURN',			'PLAYER_HAS_75_PERCENT_COASTAL_CITIES_JNR'),
		('JNR_THALASSOCRACY_INFLUENCEPOINTS_100',	'MODIFIER_PLAYER_ADJUST_INFLUENCE_POINTS_PER_TURN',			'PLAYER_HAS_100_PERCENT_COASTAL_CITIES_JNR'),

		('JNR_TIMBERRAFTING_PRODUDCTION',			'MODIFIER_PLAYER_ADJUST_PLOT_YIELD',						'PLOT_HAS_LUMBER_MILL_IN_HARBOR_CITY_JNR'),

		('JNR_CANALZONE_ADJACENCY_HARBOR_ATTACH',	'MODIFIER_JNR_PLAYER_DISTRICTS_ATTACH_MODIFIER',			'DISTRICT_IS_CANAL'),
		('JNR_CANALZONE_ADJACENCY_HARBOR',			'MODIFIER_JNR_PLAYER_DISTRICTS_ADJUST_BASE_YIELD_CHANGE',	'DISTRICT_IS_ADJACENT_HARBOR_JNR'),
		('JNR_CANALZONE_ADJACENCY_COMHUB_ATTACH',	'MODIFIER_JNR_PLAYER_DISTRICTS_ATTACH_MODIFIER',			'DISTRICT_IS_CANAL'),
		('JNR_CANALZONE_ADJACENCY_COMHUB',			'MODIFIER_JNR_PLAYER_DISTRICTS_ADJUST_BASE_YIELD_CHANGE',	'DISTRICT_IS_ADJACENT_COMMERCIAL_HUB_JNR'),
		('JNR_CANALZONE_RESOURCE_EXTRACTION',		'MODIFIER_PLAYER_CITIES_ADJUST_EXTRA_ACCUMULATION',			'CITY_HAS_CANAL_JNR'),

		('JNR_VIRTUALBEACHES_AMENITYBONUS',			'MODIFIER_PLAYER_CITIES_ADJUST_POLICY_AMENITY',				'CITY_HAS_FLOOD_BARRIER_JNR'),
		('JNR_VIRTUALBEACHES_TOURISM',				'MODIFIER_PLAYER_DISTRICTS_ADJUST_TOURISM_CHANGE',			'DISTRICT_IS_CITY_CENTER_FLOOD_BARRIER_JNR'),

		('JNR_OCEANCLEANUP_ATTACH',					'MODIFIER_JNR_PLAYER_DISTRICTS_ATTACH_MODIFIER',			'DISTRICT_IS_HARBOR_ADJACENT_SEASTEAD_JNR'),
		('JNR_OCEANCLEANUP_CARBON_SEQUESTRATION',	'MODIFIER_PLAYER_ADD_SEQUESTERED_CARBON',					NULL);

INSERT OR IGNORE INTO Modifiers
		(ModifierId,																			ModifierType)
SELECT	'JNR_SCUBADIVING_APPEAL_' || SUBSTR(FeatureType,9),										'MODIFIER_PLAYER_CITIES_ADJUST_FEATURE_APPEAL_MODIFIER'
FROM	Features
WHERE	FeatureType IN ('FEATURE_REEF', 'FEATURE_SUK_KELP', 'FEATURE_SEAGRASS', 'FEATURE_MANGROVE', 'FEATURE_KELP');

INSERT OR IGNORE INTO Modifiers
		(ModifierId,																			ModifierType,							SubjectRequirementSetId)
SELECT	'JNR_FLOATINGCITIES_' || SUBSTR(a.ImprovementType,13) || '_' || SUBSTR(b.YieldType,7),	'MODIFIER_PLAYER_ADJUST_PLOT_YIELD',	'SEASTEAD_ADJACENT_TO_' || SUBSTR(a.ImprovementType,13) || '_JNR'
FROM	Improvements a, Yields b
WHERE	a.Domain='DOMAIN_SEA';
--------------------------------------------------------------

-- ModifierArguments
--------------------------------------------------------------
INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,								Name,			Value)
VALUES	('JNR_NATURALHARBORS_FOOD',					'YieldType',	'YIELD_FOOD'),
		('JNR_NATURALHARBORS_FOOD',					'Amount',		1),
		('JNR_NATURALHARBORS_PRODUCTION',			'YieldType',	'YIELD_PRODUCTION'),
		('JNR_NATURALHARBORS_PRODUCTION',			'Amount',		1),

		('JNR_THALASSOCRACY_INFLUENCEPOINTS_25',	'Amount',		1),
		('JNR_THALASSOCRACY_INFLUENCEPOINTS_50',	'Amount',		1),
		('JNR_THALASSOCRACY_INFLUENCEPOINTS_75',	'Amount',		1),
		('JNR_THALASSOCRACY_INFLUENCEPOINTS_100',	'Amount',		1),

		('JNR_TIMBERRAFTING_PRODUDCTION',			'YieldType',	'YIELD_PRODUCTION'),
		('JNR_TIMBERRAFTING_PRODUDCTION',			'Amount',		1),

		('JNR_CANALZONE_ADJACENCY_HARBOR_ATTACH',	'ModifierId',	'JNR_CANALZONE_ADJACENCY_HARBOR'),
		('JNR_CANALZONE_ADJACENCY_HARBOR',			'YieldType',	'YIELD_GOLD'),
		('JNR_CANALZONE_ADJACENCY_HARBOR',			'Amount',		2),
		('JNR_CANALZONE_ADJACENCY_COMHUB_ATTACH',	'ModifierId',	'JNR_CANALZONE_ADJACENCY_COMHUB'),
		('JNR_CANALZONE_ADJACENCY_COMHUB',			'YieldType',	'YIELD_GOLD'),
		('JNR_CANALZONE_ADJACENCY_COMHUB',			'Amount',		2),
		('JNR_CANALZONE_RESOURCE_EXTRACTION',		'Amount',		1),

		('JNR_VIRTUALBEACHES_AMENITYBONUS',			'Amount',		1),
		('JNR_VIRTUALBEACHES_TOURISM',				'Amount',		10),

		('JNR_OCEANCLEANUP_ATTACH',					'ModifierId',	'JNR_OCEANCLEANUP_CARBON_SEQUESTRATION'),
		('JNR_OCEANCLEANUP_CARBON_SEQUESTRATION',	'Amount',		3000);

INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,																			Name,			Value)
SELECT	'JNR_SCUBADIVING_APPEAL_' || SUBSTR(FeatureType,9),										'FeatureType',	FeatureType
FROM	Features
WHERE	FeatureType IN ('FEATURE_REEF', 'FEATURE_SUK_KELP', 'FEATURE_SEAGRASS', 'FEATURE_MANGROVE', 'FEATURE_KELP');

INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,																			Name,			Value)
SELECT	'JNR_SCUBADIVING_APPEAL_' || SUBSTR(FeatureType,9),										'Amount',		2
FROM	Features
WHERE	FeatureType IN ('FEATURE_REEF', 'FEATURE_SUK_KELP', 'FEATURE_SEAGRASS', 'FEATURE_MANGROVE', 'FEATURE_KELP');

INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,																			Name,			Value)
SELECT	'JNR_FLOATINGCITIES_' || SUBSTR(a.ImprovementType,13) || '_' || SUBSTR(b.YieldType,7),	'YieldType',	b.YieldType
FROM	Improvements a, Yields b
WHERE	a.Domain='DOMAIN_SEA';

INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,																			Name,			Value)
SELECT	'JNR_FLOATINGCITIES_' || SUBSTR(a.ImprovementType,13) || '_' || SUBSTR(b.YieldType,7),	'Amount',		1
FROM	Improvements a, Yields b
WHERE	a.Domain='DOMAIN_SEA';
--------------------------------------------------------------

-- PolicyModifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO PolicyModifiers
		(ModifierId,								PolicyType)
VALUES	('JNR_NATURALHARBORS_FOOD',					'POLICY_JNR_NATURAL_HARBORS'),
		('JNR_NATURALHARBORS_PRODUCTION',			'POLICY_JNR_NATURAL_HARBORS'),

		('JNR_THALASSOCRACY_INFLUENCEPOINTS_25',	'POLICY_JNR_THALASSOCRACY'),
		('JNR_THALASSOCRACY_INFLUENCEPOINTS_50',	'POLICY_JNR_THALASSOCRACY'),
		('JNR_THALASSOCRACY_INFLUENCEPOINTS_75',	'POLICY_JNR_THALASSOCRACY'),
		('JNR_THALASSOCRACY_INFLUENCEPOINTS_100',	'POLICY_JNR_THALASSOCRACY'),

		('JNR_TIMBERRAFTING_PRODUDCTION',			'POLICY_JNR_TIMBER_RAFTING'),
		
		('JNR_CANALZONE_ADJACENCY_HARBOR_ATTACH',	'POLICY_JNR_CANAL_ZONE'),
		('JNR_CANALZONE_ADJACENCY_COMHUB_ATTACH',	'POLICY_JNR_CANAL_ZONE'),
		('JNR_CANALZONE_RESOURCE_EXTRACTION',		'POLICY_JNR_CANAL_ZONE'),

		('JNR_VIRTUALBEACHES_AMENITYBONUS',			'POLICY_JNR_VIRTUAL_BEACHES'),
		('JNR_VIRTUALBEACHES_TOURISM',				'POLICY_JNR_VIRTUAL_BEACHES'),

		('JNR_OCEANCLEANUP_ATTACH',					'POLICY_JNR_OCEAN_CLEANUP');

INSERT OR IGNORE INTO PolicyModifiers
		(ModifierId,																			PolicyType)
SELECT	'JNR_SCUBADIVING_APPEAL_' || SUBSTR(FeatureType,9),										'POLICY_JNR_SCUBA_DIVING'
FROM	Features
WHERE	FeatureType IN ('FEATURE_REEF', 'FEATURE_SUK_KELP', 'FEATURE_SEAGRASS', 'FEATURE_MANGROVE', 'FEATURE_KELP');

INSERT OR IGNORE INTO PolicyModifiers
		(ModifierId,																			PolicyType)
SELECT	'JNR_FLOATINGCITIES_' || SUBSTR(a.ImprovementType,13) || '_' || SUBSTR(b.YieldType,7),	'POLICY_JNR_FLOATING_CITIES'
FROM	Improvements a, Yields b
WHERE	a.Domain='DOMAIN_SEA';
--------------------------------------------------------------